%global srcname faulthandler

Name:           python2-%{srcname}
Version:        3.0
Release:        1%{?dist}
Summary:        Display the Python traceback on a crash

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose

%description
Fault handler for SIGSEGV, SIGFPE, SIGABRT, SIGBUS and SIGILL signals:
display the Python traceback and restore the previous handler.
Allocate an alternate stack for this handler, if sigaltstack() is available,
to be able to allocate memory on the stack, even on stack overflow.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

%check
# Change default thread name to python2
# https://github.com/haypo/faulthandler/issues/32
# (also contains excluded tests description)
sed -i 's/\(.*thread_name="\)python\(",.*\)/\1python2\2/g' tests.py
# On i686 we can run all tests
%ifarch i686
PYTHONPATH=%{buildroot}%{python2_sitearch} nosetests-%{python2_version}    --exclude=test_enable_env_var
%else
# On other archs we need to skip one test
PYTHONPATH=%{buildroot}%{python2_sitearch} nosetests-%{python2_version} --exclude=test_stack_overflow --exclude test_enable_env_var
%endif

%files
%doc README.rst AUTHORS TODO
%license COPYING
%{python2_sitearch}/%{srcname}.so
%{python2_sitearch}/%{srcname}.pth
%{python2_sitearch}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%changelog
* Sun Sep 17 2017 Lumír Balhar <lbalhar@redhat.com> - 3.0-1
- New upstream version

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 29 2016 Dominika Krejci <dkrejci@redhat.com> - 2.4-1
- Inital release

